<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

if (isset($_GET['campo'])){$campo=$_GET['campo'];}
if (isset($_GET['horas'])){$horas=$_GET['horas'];}

if (!empty($campo) && !empty($horas)) {
    
    $coti = mysqli_query($con, "SELECT * FROM cotizacion WHERE cot_tipo='RESERVA' and (cot_estado='Pendiente' or cot_estado='Confirmado') and sucursal='$sucursal' and empresa='$empresa'");

    if (mysqli_num_rows($coti) > 0) {
        while($resulco = mysqli_fetch_array($coti)) {
            $cot_turno_reserva = $resulco['cot_turno_reserva'];

             $usuario= mysqli_query($con, "SELECT * FROM zhop_reserva_usuario WHERE res_usu_id='$cot_turno_reserva' and sucursal='$sucursal' and empresa='$empresa'");
             $resu= mysqli_fetch_array($usuario);

             $horas_id=$resu['horas_id'];

            if ($horas_id == $horas) {
                echo "<script>alert('¡La Hora no se puede desactivar porque tiene reservas asignadas!');</script>";
                exit; // Termina el script si la condición se cumple
            }
        }
    } 

    if ($campo == '1') {   
        $result_1 = mysqli_query($con,"SELECT * FROM  zhop_reserva_horas WHERE res_horas_id='$horas' and res_horas_sucursal='$sucursal' and res_horas_empresa='$empresa' ");  
        $row_1 = mysqli_fetch_array($result_1); 
        $estado = $row_1['res_horas_estado']; 

        if ($estado == 'activo') {
            $registros = mysqli_query($con,"UPDATE zhop_reserva_horas SET res_horas_estado='desactivo' WHERE res_horas_id='$horas'") or die(mysqli_error($con));
            $registros = mysqli_query($con,"UPDATE zhop_reserva_usuario SET horas_estado='desactivo' WHERE horas_id='$horas'") or die(mysqli_error($con));
        } else {
            $registros = mysqli_query($con,"UPDATE zhop_reserva_horas SET res_horas_estado='activo' WHERE res_horas_id='$horas'") or die(mysqli_error($con));
            $registros = mysqli_query($con,"UPDATE zhop_reserva_usuario SET horas_estado='activo' WHERE horas_id='$horas'") or die(mysqli_error($con));
        }
    }
}
?>
